<?
include 'inclydings/gzips.php';
include 'mysql.php';
include_once("inclydings/zag.php");
include_once("inclydings/check2.php");
include 'inclydings/ini.php';
include_once("inclydings/sesi.php");
if (isset($user)) {

switch($go) {

default:
echo"<b>Adventure Guildsman</b></br>";
echo"Добро пожаловать мой друг! Теперь вы можете испытать себя в еще более опасных и страшных приключениях!</br></br>";
echo'У вас: <img src="pik4erspic/mini/aden.gif" alt="pic"/> <font color=gold> '.number_format($udata[8]).'</font></br></br>';
echo"---</br>";
echo"<img src=\"pik4erspic/mini/zern.png\"> Зерен: $udata[58]</br>";
echo"<img src=\"pik4erspic/mini/vs.gif\"> Всходов: $udata[89]</br>";
echo"---</br>";
echo"<img src=\"pik4erspic/mini/ferma.gif\"> <a href=\"manor.php?$sd&go=faq\">О фермерстве</a></br>";
echo"<img src=\"pik4erspic/mini/ferma.gif\"> <a href=\"manor.php?$sd&go=fuck\">Выкинуть зерна</a></br>";
echo"<img src=\"pik4erspic/mini/ferma.gif\"> <a href=\"manor.php?$sd&go=vshod\">Выкинуть всходы</a></br>";
echo"---</br>";
echo"<img src=\"pik4erspic/mini/ferma.gif\"> <a href=\"manor.php?$sd&go=shops\">Продать Всходы</a></br></br>";

echo"<img src=\"pik4erspic/mini/ferma.gif\"> <a href=\"manor.php?$sd&go=50\">Купить 50 Зерен</a></br>";
echo"<img src=\"pik4erspic/mini/ferma.gif\"> <a href=\"manor.php?$sd&go=100\">Купить 100 Зерен</a></br>";
break;
case '50':
$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);
if($udata[58]=="1"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="2"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="3"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="4"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="5"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="6"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="7"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="8"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="9"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="10"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="11"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="12"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="13"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="14"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="15"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="16"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="17"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="18"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="19"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="20"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="21"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="22"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="23"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="24"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="25"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="26"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="27"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="28"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="29"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="30"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="31"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="32"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="33"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="34"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="35"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="36"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="37"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="38"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="39"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="40"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="41"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="42"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="43"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="44"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="45"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="46"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="47"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="48"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="49"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="50"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="51"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="52"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="53"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="54"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="55"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="56"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="57"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="58"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="59"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="60"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="61"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="62"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="63"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="64"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="65"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="66"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="67"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="68"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="69"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="70"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="71"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="72"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="73"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="74"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="75"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="76"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="77"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="78"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="79"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="80"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="81"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="82"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="83"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="84"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="85"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="86"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="87"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="88"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="89"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="90"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="91"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="92"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="93"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="94"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="95"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="96"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="97"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="98"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="99"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="100"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[8]<"5000"){echo"У вас нехватает аден!"; include 'inclydings/down.php'; exit;}
$udata[8]=$udata[8]-5000;
$udata[58]=$udata[58]+50;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'.$udata[101].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$cena = number_format($kol);
echo"Вы успешно купили 50 Зерен<br/>";
echo"<a href=\"manor.php?$sd\"> Продолжить</a>";
break;

case'vshod':
if($udata[89]=="Пусто"){
echo"У вас нету <font color=yellow>Всходов</font>."; include_once "inclydings/down.php"; exit;}
$text = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$text[0]);
echo" У вас $udata[89] <font color=yellow>Всходов</font>.<br/><br/>";
echo "<form action=\"manor.php?$sd&go=fuckdsd\" method=\"post\">Сколько:<br/>";
echo "<input name=\"logi\" type=\"text\" maxlength=\"25\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Продать" /></form>';

break;

case'fuckdsd':
if(eregi("[^0-9]",$logi)){echo"Вводите число, а не буквы/Символы!"; include_once"inclydings/down.php"; exit;}
$text = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$text[0]);
if($udata[89]<$logi) {
echo"У вас нет $logi <font color=yellow>Всходов</font>."; include_once "inclydings/down.php"; exit;}
if($logi<"1") {echo"Вы ничего не ввели"; include_once "inclydings/down.php"; exit;}
$cena=3000*$logi;
$cena = number_format($cena);
echo"Вы согласны выбросить $logi <font color=yellow>Всходов</font>?<br>";
echo" <a href=\"manor.php?$sd&go=daopitss&coin=$logi\">Да</a> | <a href=\"manor.php?$sd\">Нет</a><br/>";
break;

case'daopitss':

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);
if($coin<0){echo"Нельзя вводить минусовые значения"; include 'inclydings/down.php'; exit;}
if($udata[89]<$coin) {
echo"У вас нет $coin <font color=yellow>Зерна</font>."; include_once "inclydings/down.php"; exit;}
$kol=7000*$coin;
$udata[89]=$udata[89]-$coin;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$cena = number_format($kol);
echo"Вы успешно выбросили $coin <font color=yellow>Всходов</font>!<br/>";
echo"<a href=\"manor.php?$sd\"> Продолжить</a>";
break;



case'fuck':
if($udata[58]=="Пусто"){
echo"У вас нету <font color=yellow>Зерна</font>."; include_once "inclydings/down.php"; exit;}
$text = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$text[0]);
echo" У вас $udata[58] <font color=yellow>Зерна</font>.<br/><br/>";
echo "<form action=\"manor.php?$sd&go=fuckd\" method=\"post\">Сколько:<br/>";
echo "<input name=\"logi\" type=\"text\" maxlength=\"25\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Продать" /></form>';

break;

case'fuckd':
if(eregi("[^0-9]",$logi)){echo"Вводите число, а не буквы/Символы!"; include_once"inclydings/down.php"; exit;}
$text = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$text[0]);
if($udata[58]<$logi) {
echo"У вас нет $logi <font color=yellow>Зерна</font>."; include_once "inclydings/down.php"; exit;}
if($logi<"1") {echo"Вы ничего не ввели"; include_once "inclydings/down.php"; exit;}
$cena=7000*$logi;
$cena = number_format($cena);
echo"Вы согласны выбросить $logi <font color=yellow>Зерна</font>?<br>";
echo" <a href=\"manor.php?$sd&go=daopits&coin=$logi\">Да</a> | <a href=\"manor.php?$sd\">Нет</a><br/>";
break;

case'daopits':

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);
if($coin<0){echo"Нельзя вводить минусовые значения"; include 'inclydings/down.php'; exit;}
if($udata[58]<$coin) {
echo"У вас нет $coin <font color=yellow>Зерна</font>."; include_once "inclydings/down.php"; exit;}
$kol=7000*$coin;
$udata[58]=$udata[58]-$coin;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$cena = number_format($kol);
echo"Вы успешно выбросили $coin <font color=yellow>Зерна</font>!<br/>";
echo"<a href=\"manor.php?$sd\"> Продолжить</a>";
break;



case'shops':
if($udata[89]=="Пусто"){
echo"У вас нету <font color=yellow>Всходов</font>."; include_once "inclydings/down.php"; exit;}
$text = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$text[0]);
echo" 1 <font color=yellow>Всходов</font> = 3000 Аден<br/>
У вас $udata[89] <font color=yellow>Зерна</font>.<br/><br/>";
echo "<form action=\"manor.php?$sd&go=pokopit\" method=\"post\">Сколько:<br/>";
echo "<input name=\"logi\" type=\"text\" maxlength=\"25\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Продать" /></form>';

break;

case'pokopit':
if(eregi("[^0-9]",$logi)){echo"Вводите число, а не буквы/Символы!"; include_once"inclydings/down.php"; exit;}
$text = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$text[0]);
if($udata[89]<$logi) {
echo"У вас нет $logi <font color=yellow>Всходов</font>."; include_once "inclydings/down.php"; exit;}
if($logi<"1") {echo"Вы ничего не ввели"; include_once "inclydings/down.php"; exit;}
$cena=3000*$logi;
$cena = number_format($cena);
echo"Вы согласны продать $logi <font color=yellow>Всходов</font> за $cena Аден?<br>";
echo" <a href=\"manor.php?$sd&go=daopit&coin=$logi\">Да</a> | <a href=\"manor.php?$sd\">Нет</a><br/>";
break;

case'daopit':

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);
if($coin<0){echo"Нельзя вводить минусовые значения"; include 'inclydings/down.php'; exit;}
if($udata[89]<$coin) {
echo"У вас нет $coin <font color=yellow>Зерна</font>."; include_once "inclydings/down.php"; exit;}
$kol=3000*$coin;
$udata[89]=$udata[89]-$coin;
$udata[8]=$udata[8]+$kol;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$cena = number_format($kol);
echo"Вы успешно Продали $coin <font color=yellow>Всходов</font> за $cena Аден!<br/>";
echo"<a href=\"manor.php?$sd\"> Продолжить</a>";

break;

case 'faq':
echo"Доброго времени суток!<br/>
<b>Фермерство</b><br/>";
echo"---<br/>";
echo"Одно зерно стоит 100 аден.
При покупке зерна, в боях вам будут выпадать всходы.
В боях при убийстве монстра с 45% шансом вы накладываете заклинание на монстра с помощью купленного зерна.
При успешном накладывании купленного зерна, вы с вашим навыком Точность возможно 70% шансом выращиваете данное зерно и получаете восход, который вы можете продать за 5000 аден. При не успешном накладывании магического зерна вам ничего неначислятся.<br/>";
break;
case '100':
$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);
if($udata[58]=="1"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="2"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="3"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="4"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="5"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="6"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="7"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="8"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="9"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="10"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="11"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="12"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="13"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="14"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="15"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="16"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="17"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="18"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="19"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="20"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="21"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="22"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="23"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="24"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="25"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="26"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="27"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="28"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="29"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="30"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="31"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="32"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="33"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="34"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="35"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="36"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="37"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="38"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="39"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="40"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="41"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="42"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="43"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="44"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="45"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="46"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="47"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="48"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="49"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="50"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="51"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="52"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="53"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="54"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="55"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="56"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="57"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="58"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="59"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="60"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="61"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="62"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="63"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="64"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="65"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="66"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="67"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="68"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="69"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="70"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="71"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="72"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="73"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="74"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="75"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="76"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="77"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="78"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="79"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="80"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="81"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="82"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="83"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="84"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="85"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="86"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="87"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="88"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="89"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="90"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="91"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="92"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="93"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="94"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="95"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="96"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="97"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="98"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="99"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[58]=="100"){echo"Вы уже покупали зерна!"; include 'inclydings/down.php'; exit;}
if($udata[8]<"10000"){echo"У вас нехватает аден!"; include 'inclydings/down.php'; exit;}
$udata[8]=$udata[8]-10000;
$udata[58]=$udata[58]+100;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'.$udata[101].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$cena = number_format($kol);
echo"Вы успешно купили 100 Зерен<br/>";
echo"<a href=\"manor.php?$sd\"> Продолжить</a>";

break;
}}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}
include 'inclydings/down.php';
?>